<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="FangPage.Web.index" %>
<%@ Import namespace="FangPage.Common" %>
<%@ Import namespace="FangPage.Entity" %>

<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
	    本页面代码由方配BMS模板引擎(V5.0.0.13)生成于 2015-8-4 15:59:36. 
	*/

	base.OnInit(e);
	templateBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n");
	templateBuilder.Append("<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n");
	templateBuilder.Append("<head>\r\n");
	templateBuilder.Append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n");
	templateBuilder.Append("<title>" + pagetitle.ToString() + "</title>\r\n");
	templateBuilder.Append("" + meta.ToString() + "\r\n");
	templateBuilder.Append("<link href=\"templates/cxzy/style/css.css\" rel=\"stylesheet\" type=\"text/css\" />\r\n");
	templateBuilder.Append("<style type=\"text/css\">\r\n");
	templateBuilder.Append("<!--\r\n");
	templateBuilder.Append("body {\r\n");
	templateBuilder.Append("	margin-left: 0px;\r\n");
	templateBuilder.Append("	margin-top: 0px;\r\n");
	templateBuilder.Append("	margin-right: 0px;\r\n");
	templateBuilder.Append("	margin-bottom: 0px;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("-->\r\n");
	templateBuilder.Append("</style></head>\r\n");
	templateBuilder.Append("<body>\r\n");
	templateBuilder.Append("<table cellspacing=\"0\" cellpadding=\"0\" width=\"960\" align=\"center\" border=\"0\">\r\n");
	templateBuilder.Append("  <tbody>\r\n");
	templateBuilder.Append("    <tr>\r\n");
	templateBuilder.Append("      <td><div id=\"demo\" style=\"OVERFLOW: hidden; WIDTH: 100%; COLOR: #000000\">\r\n");
	templateBuilder.Append("        <table cellspacing=\"0\" cellpadding=\"0\" align=\"left\" border=\"0\" cellspace=\"0\">\r\n");
	templateBuilder.Append("          <tbody>\r\n");
	templateBuilder.Append("            <tr>\r\n");
	templateBuilder.Append("              <td id=\"demo1\" valign=\"top\">\r\n");
	templateBuilder.Append("              <table width=\"1500\" height=\"132\"  border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\r\n");
	templateBuilder.Append("                <tr>\r\n");

	int news8__loop__id=0;
	foreach(NewsInfo news8 in GetNewsList(20,8))
	{
		news8__loop__id++;

	templateBuilder.Append("                  <td width=\"191\" height=\"132\" valign=\"bottom\">\r\n");
	templateBuilder.Append("                  <table width=\"160\" border=\"0\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\">\r\n");
	templateBuilder.Append("                    <tr>\r\n");
	templateBuilder.Append("                      <td><table width=\"160\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"tab_0\">\r\n");
	templateBuilder.Append("                          <tr>\r\n");
	templateBuilder.Append("                            <td height=\"120\"><a href=\"newsview-" + news8.Id.ToString().Trim() + ".aspx\" target=\"_blank\"><img src=\"" + GetThumbnail(news8.Img,160)+ "\" width=\"160\" height=\"120\" border=\"0\" /></a></td>\r\n");
	templateBuilder.Append("                          </tr>\r\n");
	templateBuilder.Append("                      </table></td>\r\n");
	templateBuilder.Append("                    </tr>\r\n");
	templateBuilder.Append("                    <tr>\r\n");
	templateBuilder.Append("                      <td height=\"8\" ></td>\r\n");
	templateBuilder.Append("                    </tr>\r\n");
	templateBuilder.Append("                    <tr>\r\n");
	templateBuilder.Append("                      <td height=\"24\" class=\"tab_12_18_9\" align=\"center\"><a href=\"newsview-" + news8.Id.ToString().Trim() + ".aspx\" target=\"_blank\">" + Utils.CutString(news8.Title,30,"...")+ "</a></td>\r\n");
	templateBuilder.Append("                    </tr>\r\n");
	templateBuilder.Append("                  </table></td>\r\n");
	templateBuilder.Append("                  <td width=\"3\">&nbsp;</td>\r\n");

	}	//end loop

	templateBuilder.Append("                  </tr>\r\n");
	templateBuilder.Append("              </table></td>\r\n");
	templateBuilder.Append("              <td id=\"demo2\" valign=\"top\">&nbsp;</td>\r\n");
	templateBuilder.Append("            </tr>\r\n");
	templateBuilder.Append("          </tbody>\r\n");
	templateBuilder.Append("        </table>\r\n");
	templateBuilder.Append("      </div>\r\n");
	templateBuilder.Append("        <script>\r\n");
	templateBuilder.Append("var speed3=25//速度数值越大速度越慢\r\n");
	templateBuilder.Append("demo2.innerHTML=demo1.innerHTML\r\n");
	templateBuilder.Append("function Marquee(){\r\n");
	templateBuilder.Append("if(demo2.offsetWidth-demo.scrollLeft<=0)\r\n");
	templateBuilder.Append("demo.scrollLeft-=demo1.offsetWidth\r\n");
	templateBuilder.Append("else{\r\n");
	templateBuilder.Append("demo.scrollLeft++\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("var MyMar=setInterval(Marquee,speed3)\r\n");
	templateBuilder.Append("demo.onmouseover=function() {clearInterval(MyMar)}\r\n");
	templateBuilder.Append("demo.onmouseout=function() {MyMar=setInterval(Marquee,speed3)}\r\n");
	templateBuilder.Append("                        </" + "script>\r\n");
	templateBuilder.Append("      </td>\r\n");
	templateBuilder.Append("    </tr>\r\n");
	templateBuilder.Append("  </tbody>\r\n");
	templateBuilder.Append("</table>\r\n");
	templateBuilder.Append("</body>\r\n");
	templateBuilder.Append("</html>\r\n");

	Response.Write(templateBuilder.ToString());
}
</script>
